<?php
$xml = aws_signed_request("$CountryId", array("AssociateTag"=>"$AssociateId","Operation"=>"SimilarityLookup","ItemId"=>"$itemid","SimilarityType"=>"Random","ResponseGroup"=>"Images,ItemAttributes"), $AWSAccessKeyId, $SecretAccessKey);

$Message=$xml->Items->Request->Errors->Error->Message;
if (isset($Message)) {
echo'<table width="100%" border="0" cellpadding="8" cellspacing="0" align="center">
<tr><td align="left" class="errorClass">Message: '.$Message.'</td></tr></table>';}
else{
/*
$dom = new DOMDocument("1.0");
$dom->preserveWhiteSpace = false;
$dom->formatOutput = true;
$dom->loadXML($xml->asXML());
//echo $dom->saveXML();
echo '<script src="https://cdn.rawgit.com/google/code-prettify/master/loader/run_prettify.js"></script>';
echo "<br/> <pre class=\"prettyprint\" >". htmlentities($dom->saveXML())."</pre>";
*/
$totpages=$xml->Items->TotalPages;
if ($totpages>$MaxPages){$totpages=$MaxPages;}
}

foreach ($xml->Items->Item as $item) {

if (isset($item->LargeImage->URL)) {
            $img_url=$item->LargeImage->URL;
        } else {
            $img_url="";
        }

$title=$item->ItemAttributes->Title;
$affiliate_url=$item->DetailPageURL;
$deep_link=$item->DetailPageURL;
$ASIN=$item->ASIN;

$actors=array();
if(isset($item->ItemAttributes->Actor)){
foreach($item->ItemAttributes->Actor as $value){
array_push($actors, $value);
}}

$features=array();
if(isset($item->ItemAttributes->Feature)){
foreach($item->ItemAttributes->Feature as $value){
array_push($features, $value);
}}

$tracks=array();
if(isset($item->Tracks->Disc)){
foreach($item->Tracks->Disc->Track as $value){
array_push($tracks, $value);
}
}

$platforms=array();
if(isset($item->ItemAttributes->Platform)){
foreach($item->ItemAttributes->Platform as $value){
array_push($platforms, $value);
}}

$AlternateVersions=array();
if(isset($item->AlternateVersions->AlternateVersion->Binding)){
foreach($item->AlternateVersions->AlternateVersion as $version){
foreach($version->Binding as $value){
array_push($AlternateVersions, $value);
}}}

$source=$item->EditorialReviews->EditorialReview->Source;
$content=$item->EditorialReviews->EditorialReview->Content;
$PoductGroup=$item->ItemAttributes->ProductGroup;
$Artist=$item->ItemAttributes->Artist;
$ReleaseDate=$item->ItemAttributes->ReleaseDate;
$Publisher=$item->ItemAttributes->Publisher;
$Manufacturer=$item->ItemAttributes->Manufacturer;
$TotalNew=$item->OfferSummary->TotalNew;
$TotalUsed=$item->OfferSummary->TotalUsed;
$TotalCollectible=$item->OfferSummary->TotalCollectible;
$TotalRefurbished=$item->OfferSummary->TotalRefurbished;
$ListPrice=$item->ItemAttributes->ListPrice->FormattedPrice;
$LowestNewPrice=$item->OfferSummary->LowestNewPrice->Amount;
$LowestUsedPrice=$item->OfferSummary->LowestUsedPrice->Amount;
$LowestCollectiblePrice=$item->OfferSummary->LowestCollectiblePrice->Amount;
$LowestRefurbishedPrice=$item->OfferSummary->LowestRefurbishedPrice->Amount;
$Price=$item->Offers->Offer->OfferListing->Price->FormattedPrice;
$netPrice=$item->Offers->Offer->OfferListing->Price->Amount;
$PercentageSaved=$item->Offers->Offer->OfferListing->PercentageSaved;
$netListPrice=$item->ItemAttributes->ListPrice->Amount;
$VariationPriceLow=$item->VariationSummary->LowestPrice->FormattedPrice;
$VariationPriceHigh=$item->VariationSummary->HighestPrice->FormattedPrice;
$IFrameURL=$item->CustomerReviews->IFrameURL;
$HasReviews=$item->CustomerReviews->HasReviews;

$LowestPrices=array($LowestNewPrice,$LowestUsedPrice,$LowestCollectiblePrice,$LowestRefurbishedPrice);
$LowestPrices=array_unique($LowestPrices);
sort($LowestPrices);
$TotalNewandUsed=($TotalNew+$TotalUsed+$TotalCollectible+$TotalRefurbished);

$Author=$item->ItemAttributes->Author;
$Format=$item->ItemAttributes->Format;
?>
<div id="offerarea">
<?php
include "template_amz_similar_items.php";
echo'</div>';
}
?>