<?php
$ctr_color=get_theme_mod('ctr-color');
$ctr_text_color=get_theme_mod('ctr-text-color');
$logoUnitSize = get_option('icsmpl_logoUnitSize', $logoUnitSize);
$ebayId = get_option('icsmpl_ebayId', $ebayId);

$ebayId = explode("/",$ebayId);
$pub=$ebayId[0];
$campid=$ebayId[1];

$fluid=$atts['fluid'];
$k=$atts['keyword'];
$n=$atts['num'];
$s=$atts['size'];
if($k==""){$k = get_option('icsmpl_amazonKeyword', $amazonKeyword);}
if($n==""){$n = get_option('icsmpl_logoUnitSize', $logoUnitSize);}
if($s==""){$s = get_option('icsmpl_logoSize', $logoSize);}


$region = get_option('icsmpl_region', $region);

switch ($region) {
     case 'United Kingdom':
         $ebayUrl="http://rover.ebay.com/rover/1/710-53481-19255-0/1?icep_ff3=2&pub=$pub&toolid=10001&campid=$campid&customid=icodes-oip&icep_item=iiii&ipn=psmain&icep_vectorid=229508&kwid=902099&mtid=824&kw=lg";
         $ebayGlobal="EBAY-GB";
break;

     case 'United States':

         $ebayUrl="http://rover.ebay.com/rover/1/711-53200-19255-0/1?icep_ff3=2&pub=$pub&toolid=10001&campid=$campid&customid=icodes-oip&icep_item=iiii&ipn=psmain&icep_vectorid=229466&kwid=902099&mtid=824&kw=lg";
         $ebayGlobal="EBAY-US";
break;

     case 'India':

         $ebayUrl="http://rover.ebay.com/rover/1/711-53200-19255-0/1?icep_ff3=2&pub=$pub&toolid=10001&campid=$campid&customid=icodes-oip&icep_item=iiii&ipn=psmain&icep_vectorid=229550&kwid=902099&mtid=824&kw=lg";
         $ebayGlobal="EBAY-IN";
break;

}

$baseurl = 'http://svcs.ebay.com/services/search/FindingService/v1';  // URL to call
$version = '1.0.0';  // API version supported by your application
$appid = 'iCodes743-0833-4945-8a10-84491384599';  // Replace with your own AppID
$globalid = $ebayGlobal;  // Global ID of the eBay site you want to search (e.g., EBAY-DE)
$safequery = urlencode($k);  // Make the query URL-friendly

// Construct the findItemsByKeywords HTTP GET call
$apicall = "$baseurl?";
$apicall .= "OPERATION-NAME=findItemsByKeywords";
$apicall .= "&SERVICE-VERSION=$version";
$apicall .= "&SECURITY-APPNAME=$appid";
$apicall .= "&GLOBAL-ID=$globalid";
$apicall .= "&outputSelector=SellerInfo";
$apicall .= "&keywords=$safequery";
$apicall .= "&paginationInput.pageNumber=1";
$apicall .= "&paginationInput.entriesPerPage=$n";
$apicall .= "&affiliate.trackingId=5574885785";
$apicall .= "&affiliate.networkId=9";
$apicall .= "&itemFilter(0).name=ListingType";
$apicall .= "&itemFilter(0).value=FixedPrice";
$apicall .= "&itemFilter(1).name=HideDuplicateItems";
$apicall .= "&itemFilter(1).value=true";


$resp = simplexml_load_file($apicall);

$count=$resp->searchResult['count'];
if ($count==0) {
echo'<table width="100%" border="0" cellpadding="8" cellspacing="0" align="center">
<tr><td align="left" class="errorClass">Message: No results found matching your search criteria</td></tr></table>';}

else{

echo'<table style="width: 100%; border: 0px; padding: 4px;"><tr><td>
<div style="width: 100%; text-align: center;">';


/*
$dom = new DOMDocument("1.0");
$dom->preserveWhiteSpace = false;
$dom->formatOutput = true;
$dom->loadXML($resp->asXML());
//echo $dom->saveXML();
echo '<script src="https://cdn.rawgit.com/google/code-prettify/master/loader/run_prettify.js"></script>';
echo "<br/> <pre class=\"prettyprint\" >". htmlentities($dom->saveXML())."</pre>";
*/

$totalPages=$resp->paginationOutput->totalPages;

$count=$resp->searchResult['count'];

    foreach($resp->searchResult->item as $item) {
    $deep_link  = $item->itemId;
    $itemid  = $item->itemId;
    $galleryURL   = $item->galleryURL;
    $title = $item->title;
    $currentPrice = $item->sellingStatus->currentPrice;
    $currencyId=$item->sellingStatus->currentPrice['currencyId'];

    $currentPrice = sprintf('%.2f', $currentPrice);

    $ebayLink=str_replace("iiii",$itemid,$ebayUrl);
if($fluid){
echo'<a href="'.$ebayLink.'" target="_blank" title="'.$title.'">
<div class="image2 size-fluid scale-fit" style="background-image: url('.$galleryURL.'); margin: 4px;" width: '.(($s*8)/100).'%; padding-top: '.(($s*8)/100).'%;"></div></a>';
}

else{

echo'<div style="display: inline-block; margin-bottom: 24px;">';
echo'<a href="'.$ebayLink.'" style="color: '.$ctr_text_color.';" target="_blank" title="'.$title.'">
<div class="image2 size-fixed scale-fit" style="background-image: url('.$galleryURL.'); margin: 4px;"><div style="background: '.$ctr_color.';  padding: 4px; margin-top: '.($s+4).'; margin-left: -1px; margin-right: -1px;">'.$currencyId.' '.$currentPrice.'</div></div></a>';
echo'</div>';
}
}
}
echo'</td></tr></table>';
?>